<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" encoding="windows-1250"/>

<xsl:template match="/SR3Char">

<HTML>
<HEAD>
	<TITLE>Shadowrun Character Sheet [<xsl:value-of select='bio/streetnames/streetname'/>]</TITLE>
	<LINK rel="stylesheet" href="./style.css" type="text/css"/>
	<META http-equiv="Content-Type" content="text/html; charset=utf-8"/>

<script type="text/javascript">
<xsl:text>
function zalomit(what)
{
	if(what.className=="common zalomit")  {
  	cls="common";
    txt="NO";
  }
  else {
  	cls="common zalomit";
    txt="YES";
  }
  what.className = cls;
  what.innerHTML = "Page-break: " + txt;
}

var title = new Array();
title[1] = "(Informations, Attributes, Edges and Flaws)";
title[2] = "(Karma and Pools, C.S. and L.S., Armors)";
title[3] = "(Active skills, Knowledges, Languages)";
title[4] = "(Physad skills)";
title[5] = "(Magic info)";
title[6] = "(Spells)";
title[7] = "(Cyberware)";
title[8] = "(Bioware)";
title[9] = "(Weapons)";
title[10] = "(Gear)";
title[11] = "(Vehicles)";
title[12] = "(Deck)";
title[13] = "(Contacts)";
title[14] = "(Biography)";

function schovat(what)
{
  tmp=document.getElementById('tab'+what);
	if(tmp.className=="table schovat")  {
  	cls="table";
    txt="NO";
  }
  else {
  	cls="table schovat";
    txt="YES";
  }
  tmp.className = cls;
  document.getElementById('anchor'+what).innerHTML = "Hidden: " + txt + title[what];
}
</xsl:text>
</script>

</HEAD>

<BODY>

<!-- Name of Char, Creator info start -->
<TABLE class="table">
	<TR>
		<TH colspan="2" class="title">Shadowrun 3rd ed. Character Sheet</TH>
	</TR>

	<TR>
		<TD class="title" colspan="1"><xsl:value-of select='bio/streetnames/streetname'/></TD>
		<TD>Created by <xsl:value-of select='realworld/playername'/> at <xsl:value-of select='realworld/creationdate'/>, last modified at <xsl:value-of select='realworld/lastmoddate'/></TD>
	</TR>
</TABLE>
<!-- Name of Char, Creator info end -->


<!-- Informations, Attributes, Edges and Flaws start -->
<a class="common" href="javascript:void(0)" id="anchor1" onClick="schovat('1');">Hidden: NO (Informations, Attributes, Edges and Flaws)</a>
<TABLE class="table" id="tab1">
	<TR>
		<TH>Informations</TH>
		<TH>Attributes</TH>
		<TH>Edges and Flaws</TH>
		<TD rowspan="2"><img src="./condmon2.gif" alt="Srun logo"/></TD>
	</TR>

	<TR>
	<!-- Informations start -->
		<TD>
			<TABLE>
      	<TR><TD><b>Street Name</b>: <xsl:value-of select='bio/streetnames/streetname'/></TD></TR>
        <TR><TD><b>Real Name</b>: <xsl:value-of select='bio/realname'/></TD></TR>
        <TR><TD><b>DoB</b>: <xsl:value-of select="bio/birthdate"/></TD></TR>
        <TR><TD><b>BirthPlace</b>: <xsl:value-of select="bio/birthplace"/></TD></TR>
				<TR><TD><HR/></TD></TR>
				<TR><TD><b>Metatype</b>: <xsl:value-of select="bio/race"/></TD></TR>
				<TR><TD><HR/></TD></TR>
				<TR><TD><b>Sex</b>: <xsl:value-of select="bio/gender"/></TD></TR>
				<TR><TD><b>Height</b>: <xsl:value-of select="bio/height"/></TD></TR>
				<TR><TD><b>Weight</b>: <xsl:value-of select="bio/weight"/></TD></TR>
				<TR><TD><b>Eyes</b>: <xsl:value-of select="bio/eyes"/></TD></TR>
				<TR><TD><b>Hair</b>: <xsl:value-of select="bio/hair"/></TD></TR>
				<TR><TD><HR/></TD></TR>
				<TR><TD><b>Specials</b>: <xsl:for-each select="racedesc">
	      	<LI><xsl:value-of select="line"/></LI>
  	      </xsl:for-each></TD></TR>
			</TABLE>
		</TD>
	<!-- Informations end -->

	<!-- Attributes start -->
 		<TD>

			<TABLE>
				<TR>
        	<TD><b>Body</b></TD>
					<TD class="center">
						<xsl:value-of select="attributes/attribute/natural[contains(../name,'body')]"/>
            /
            <xsl:value-of select="attributes/attribute/total[contains(../name,'body')]"/>
        	</TD>
        </TR>
				<TR>
        	<TD><b>Quickness</b></TD>
					<TD class="center">
						<xsl:value-of select="attributes/attribute/natural[contains(../name,'quickness')]"/>
            /
            <xsl:value-of select="attributes/attribute/total[contains(../name,'quickness')]"/>
        	</TD>
        </TR>
				<TR>
        	<TD><b>Strength</b></TD>
					<TD class="center">
						<xsl:value-of select="attributes/attribute/natural[contains(../name,'strength')]"/>
            /
            <xsl:value-of select="attributes/attribute/total[contains(../name,'strength')]"/>
        	</TD>
        </TR>
				<TR>
        	<TD><b>Intelligence</b></TD>
					<TD class="center">
						<xsl:value-of select="attributes/attribute/natural[contains(../name,'intelligence')]"/>
            /
            <xsl:value-of select="attributes/attribute/total[contains(../name,'intelligence')]"/>
        	</TD>
        </TR>
				<TR>
        	<TD><b>Charisma</b></TD>
					<TD class="center">
						<xsl:value-of select="attributes/attribute/natural[contains(../name,'charisma')]"/>
            /
            <xsl:value-of select="attributes/attribute/total[contains(../name,'charisma')]"/>
        	</TD>
        </TR>
				<TR>
        	<TD><b>Willpower</b></TD>
					<TD class="center">
						<xsl:value-of select="attributes/attribute/natural[contains(../name,'willpower')]"/>
            /
            <xsl:value-of select="attributes/attribute/total[contains(../name,'willpower')]"/>
        	</TD>
        </TR>
				<TR>
        	<TD><b>Runmult</b></TD>
					<TD class="center">
            <xsl:value-of select="attributes/attribute/runmult[contains(../name,'runmult')]"/>
        	</TD>
        </TR>
				<TR>
        	<TD><b>Reaction</b></TD>
					<TD class="center">
						<xsl:value-of select="attributes/attribute/natural[contains(../name,'reaction')]"/>
            /
            <xsl:value-of select="attributes/attribute/total[contains(../name,'reaction')]"/>
        	</TD>
        </TR>
				<TR>
        	<TD><b>Initiative</b></TD>
					<TD class="center">
						<xsl:value-of select="attributes/attribute/natural[contains(../name,'initiative')]"/>
            /
            <xsl:value-of select="attributes/attribute/total[contains(../name,'initiative')]"/>
        	</TD>
        </TR>
        <!-- If is shapeshifter, write his/her attr start -->
				<xsl:if test="attributes/attribute/name[contains(../name,'ShapeShifterBOD')]">
				<TR><TD colspan="2"><hr/></TD></TR>
				<TR>
        	<TD colspan="2"><b>ShapeShifter:</b></TD>
        </TR>
				<TR>
        	<TD><b>Body</b></TD>
					<TD class="center">
            <xsl:value-of select="attributes/attribute/total[contains(../name,'ShapeShifterBOD')]"/>
        	</TD>
        </TR>
				<TR>
        	<TD><b>Quickness</b></TD>
					<TD class="center">
            <xsl:value-of select="attributes/attribute/total[contains(../name,'ShapeShifterQCK')]"/>
        	</TD>
        </TR>
				<TR>
        	<TD><b>Strength</b></TD>
					<TD class="center">
            <xsl:value-of select="attributes/attribute/total[contains(../name,'ShapeShifterSTR')]"/>
        	</TD>
        </TR>
				<TR>
        	<TD><b>Runmult</b></TD>
					<TD class="center">
            <xsl:value-of select="attributes/attribute/total[contains(../name,'ShapeShifterRunMult')]"/>
        	</TD>
        </TR>
				<TR>
        	<TD><b>Reaction</b></TD>
					<TD class="center">
            <xsl:value-of select="attributes/attribute/total[contains(../name,'ShapeShifterREA')]"/>
        	</TD>
        </TR>
				<TR>
        	<TD><b>Iniciative</b></TD>
					<TD class="center">
            <xsl:value-of select="attributes/attribute/total[contains(../name,'ShapeShifterINI')]"/>
        	</TD>
        </TR>
        </xsl:if>
        <!-- If is shapeshifter, write his/her attr end -->

				<TR><TD colspan="2"><hr/></TD></TR>

				<TR>
        	<TD><b>Magic</b></TD>
					<TD class="center">
						<xsl:value-of select="attributes/attribute/total[contains(../name,'magic')]"/>
        	</TD>
        </TR>
				<TR>
        	<TD><b>Essence</b></TD>
					<TD class="center">
						<xsl:value-of select="attributes/attribute/total[contains(../name,'essence')]"/>(<xsl:value-of select="attributes/attribute/augment[contains(../name,'essence')]"/>)
        	</TD>
        </TR>
				<TR>
        	<TD><b>Bodyindex</b></TD>
					<TD class="center">
						<xsl:value-of select="attributes/attribute/bodyindex[contains(../name,'bodyindex')]"/>
        	</TD>
        </TR>
			</TABLE>
		</TD>
	<!-- Attributes end -->

  <!-- Edges and Flaws start -->
		<TD>
  		<TABLE>
  			<TR>
					<TD colspan="2" class="bold">
						<xsl:for-each select="advantages/advantage">
							<xsl:value-of select="name"/> (<xsl:value-of select="cost"/>)<BR/>
						</xsl:for-each>
    			</TD>
        </TR>
      </TABLE>
  <!-- Edges and Flaws end -->

    </TD>
  </TR>
</TABLE>
<!-- Informations, Attributes, Edges and Flaws end -->

<!-- Karma and Pools, C.S. and L.S., Armors start -->
<a class="common" href="javascript:void(0)" id="anchor2" onClick="schovat('2');">Hidden: NO (Karma and Pools, C.S. and L.S., Armors)</a>
<TABLE class="table" id="tab2">
	<TR>
		<TH>Karma and Dice Pools</TH>
    <TH>Credit Sticks and Lifestyles</TH>
    <TH>Armors/Clothing</TH>
	</TR>

  <TR>
  <!-- Karma and Pools start -->
		<TD>
    	<TABLE>
	  		<TR>
					<TD>
						<b>Karma total: </b> <xsl:value-of select='bio/karmatotal'/>
						<BR/><b>Karma remaining: </b> <xsl:value-of select='bio/karmaremaining'/>
					</TD>
        </TR>
        <TR>
        	<TD><HR/></TD>
        </TR>
        <TR>
					<TD>
					<xsl:if test="pools/combat">
						<b>Combat: </b> <xsl:value-of select="pools/combat"/><BR/>
					</xsl:if>
					<xsl:if test="pools/ShapeShifterCombatPool">
						<b>ShapeShifterCombat: </b> <xsl:value-of select="pools/ShapeShifterCombatPool"/><BR/>
					</xsl:if>
					<xsl:if test="pools/hacking">
						<b>Hacking: </b> <xsl:value-of select="pools/hacking"/><BR/>
					</xsl:if>
					<xsl:if test="pools/control">
						<b>Control: </b> <xsl:value-of select="pools/control"/><BR/>
					</xsl:if>
					<xsl:if test="pools/karma">
						<b>Karma: </b> <xsl:value-of select="pools/karma"/><BR/>
					</xsl:if>
					<xsl:if test="pools/spell">
						<b>Spell: </b> <xsl:value-of select="pools/spell"/><BR/>
					</xsl:if>
					<xsl:if test="pools/task">
						<b>Task: </b> <xsl:value-of select="pools/task"/><BR/>
					</xsl:if>
					<xsl:if test="pools/astral">
						<b>Astral: </b> <xsl:value-of select="pools/astral"/>
					</xsl:if>
					</TD>
				</TR>
      </TABLE>
    </TD>
  <!-- Karma and Pools end -->

  <!-- C.S. and L.S. start -->
		<TD>
			<TABLE>
      	<TR>
        	<TH>Name</TH>
        	<TH>$</TH>
        </TR>
			<xsl:for-each select="bio/credsticks/credstick">
				<TR class="bold">
        	<TD>Creditstick</TD>
					<TD class="right"><xsl:value-of select="."/>,-</TD>
        </TR>
			</xsl:for-each>
      </TABLE>

			<TABLE>
      	<TR>
        	<TH>Residence</TH>
          <TH>Level</TH>
          <TH>Primary</TH>
        	<TH>From</TH>
          <TH>Months</TH>
        </TR>
			<xsl:for-each select="bio/lifestyles/lifestyle">
				<TR>
        	<TD class="bold"><xsl:value-of select="residence"/></TD>
        	<TD class="center"><xsl:value-of select="level"/></TD>
        	<TD class="center"><xsl:value-of select="primary"/></TD>
        	<TD><xsl:value-of select="startdate"/></TD>
        	<TD class="center"><xsl:value-of select="months"/></TD>
        </TR>
			</xsl:for-each>
      </TABLE>
    </TD>
  <!-- C.S. and L.S. end -->

  <!-- Armors start -->
		<TD>
			<TABLE>
      	<TR>
        	<TH>No.</TH>
        	<TH>Name</TH>
        	<TH>Car</TH>
        	<TH>Armor</TH>
        </TR>
			<xsl:for-each select="equipmentlist/armorlist/armor">
				<TR>
        	<TD class="center"><xsl:value-of select="mass"/></TD>
					<TD class="bold"><xsl:value-of select="name"/></TD>
					<TD class="center"><xsl:value-of select="carried"/></TD>
					<TD class="center"><xsl:value-of select="ballistic"/>/<xsl:value-of select="impact"/></TD>
        </TR>
			</xsl:for-each>
      </TABLE>
    </TD>
  <!-- Armors end -->

  </TR>
</TABLE>
<!-- Karma and Pools, C.S. and L.S., Armors end -->


<!-- Active skills, Knowledges, Languages start -->
<a class="common" href="javascript:void(0)" onClick="zalomit(this);">Page-break: NO</a>
<a class="common" href="javascript:void(0)" id="anchor3" onClick="schovat('3');">Hidden: NO (Active skills, Knowledges, Languages)</a>
<TABLE class="table" id="tab3">
	<TR>
	 	<TH>Active skills</TH>
 		<TH>Knowlege skills</TH>
	 	<TH>Languages</TH>
	</TR>

  <TR>
  <!-- Active skills start -->
  	<TD>
     	<TABLE>
				<xsl:for-each select='skills/active/skill'>
          <TR>
						<TD><xsl:value-of select="./display"/></TD>
          </TR>
				</xsl:for-each>
      </TABLE>
    </TD>
  <!-- Active skills end -->

  <!-- Knowledges skills start -->
  	<TD>
     	<TABLE>
				<xsl:for-each select='skills/knowledge/skill'>
          <TR>
						<TD><xsl:value-of select="./display"/></TD>
          </TR>
				</xsl:for-each>
      </TABLE>
    </TD>
  <!-- Knowledges skills end -->

  <!-- Languages start -->
  	<TD>
     	<TABLE>
				<xsl:for-each select='skills/language/skill'>
          <TR>
						<TD><xsl:value-of select="./display"/></TD>
          </TR>
				</xsl:for-each>
      </TABLE>
    </TD>
  <!-- Languages end -->
  </TR>
</TABLE>
<!-- Active skills, Knowledges, Languages end -->

<!-- Physad skills start -->
<xsl:if test="magic/physad">
<a class="common" href="javascript:void(0)" onClick="zalomit(this);">Page-break: NO</a>
<a class="common" href="javascript:void(0)" id="anchor4" onClick="schovat('4');">Hidden: NO (Physad skills)</a>
<TABLE class="table" frame="box" id="tab4">
  <TR>
   	<TH colspan="5">Physad skills</TH>
  </TR>
  <TR>
   	<TH>Name</TH>
    <TH>Cost</TH>
    <TH>Mods</TH>
    <TH>Book</TH>
    <TH>Note</TH>
  </TR>
	<xsl:for-each select='magic/physad/power'>
	<TR>
  	<TD class="box"><xsl:value-of select="name"/></TD>
   	<TD class="box"><xsl:value-of select="cost"/></TD>
   	<TD class="box"><xsl:value-of select="mods"/></TD>
   	<TD class="box"><xsl:value-of select="book.page"/></TD>
  	<TD class="box"><xsl:value-of select="notes"/></TD>
  </TR>
	</xsl:for-each>
</TABLE>
</xsl:if>
<!-- Physad skills end -->

<!-- Magic info start -->
<xsl:if test="magic">
<a class="common" href="javascript:void(0)" onClick="zalomit(this);">Page-break: NO</a>
<a class="common" href="javascript:void(0)" id="anchor5" onClick="schovat('5');">Hidden: NO (Magic info)</a>
<TABLE class="table" frame="box" id="tab5">
  <TR>
   	<TH colspan="11"><xsl:value-of select="magic/magetype"/></TH>
  </TR>
  <TR class="center">
    <TH>Magic attribute:</TH>
    <TD>Total:</TD>
  	<TD><xsl:value-of select="magic/m.attribute/total"/></TD>
    <TD>Start:</TD>
  	<TD><xsl:value-of select="magic/m.attribute/start"/></TD>
    <TD>Initialization:</TD>
  	<TD><xsl:value-of select="magic/m.attribute/initialization"/></TD>
    <TD>Geasa:</TD>
  	<TD><xsl:value-of select="magic/m.attribute/geasa"/></TD>
    <TD>Spent:</TD>
  	<TD><xsl:value-of select="magic/m.attribute/spent"/></TD>
  </TR>
  <TR>
    <TH>Desc:</TH>
  	<TD colspan="10"><xsl:value-of disable-output-escaping="yes" select="magic/desc"/></TD>
  </TR>
  <TR>
  	<TH>Initiation desc</TH>
  	<TD colspan="10"><xsl:value-of select="magic/initiationdesc"/></TD>
  </TR>
  <TR>
    <TH>Group list</TH>
    <TD colspan="4" class="box">
	  <xsl:for-each select='magic/groupslist/group'>
		<xsl:value-of select="."/>
		<xsl:if test="position()!=last()">
			<xsl:text>, </xsl:text>
		</xsl:if>
	  </xsl:for-each>
    </TD>
    <TH class="left">Geas list</TH>
    <TD colspan="5" class="box">
	  <xsl:for-each select='magic/geaslist/geas'>
		<xsl:value-of select="."/>
		<xsl:if test="position()!=last()">
			<xsl:text>, </xsl:text>
		</xsl:if>
	  </xsl:for-each>
    </TD>
  </TR>
</TABLE>
</xsl:if>
<!-- Magic info end -->

<!-- Spells start -->
<xsl:if test="magic/spelllist">
<a class="common" href="javascript:void(0)" onClick="zalomit(this);">Page-break: NO</a>
<a class="common" href="javascript:void(0)" id="anchor6" onClick="schovat('6');">Hidden: NO (Spells)</a>
<TABLE class="table" frame="box" id="tab6">
  <TR>
   	<TH colspan="9">Spells</TH>
  </TR>
  <TR>
   	<TH>Name</TH>
    <TH>Force</TH>
    <TH>Type</TH>
    <TH>Target</TH>
    <TH>Duration</TH>
    <TH>Range</TH>
    <TH>Drain</TH>
    <TH>Note</TH>
    <TH>Cost</TH>
  </TR>
	<xsl:for-each select='magic/spelllist/spell'>
	<TR class="center">
  	<TD class="box left"><xsl:value-of select="name"/></TD>
   	<TD class="box"><xsl:value-of select="force"/></TD>
   	<TD class="box"><xsl:value-of select="type"/></TD>
   	<TD class="box"><xsl:value-of select="target"/></TD>
  	<TD class="box"><xsl:value-of select="duration"/></TD>
  	<TD class="box"><xsl:value-of select="range"/></TD>
  	<TD class="box"><xsl:value-of select="drain"/></TD>
  	<TD class="box"><xsl:value-of select="notes"/></TD>
  	<TD class="box"><xsl:value-of select="cost"/></TD>
  </TR>
	</xsl:for-each>
</TABLE>
</xsl:if>
<!-- Spells end -->

<!-- Cyberware start -->
<xsl:if test="augmentation/cyberware">
<a class="common" href="javascript:void(0)" onClick="zalomit(this);">Page-break: NO</a>
<a class="common" href="javascript:void(0)" id="anchor7" onClick="schovat('7');">Hidden: NO (Cyberware)</a>
<TABLE class="table" frame="box" id="tab7">
  <TR>
   	<TH colspan="5">Cyberware</TH>
  </TR>
  <TR>
   	<TH>Name</TH>
    <TH>Slot</TH>
    <TH>Stress</TH>
    <TH>Essence</TH>
    <TH>Note</TH>
  </TR>
	<xsl:for-each select='augmentation/cyberware'>
	<TR>
  	<TD class="box nowrap"><xsl:value-of select="name"/></TD>
   	<TD class="box"></TD>
   	<TD class="box"></TD>
   	<TD class="box center"><xsl:value-of select="essencecost"/></TD>
  	<TD class="box"><xsl:value-of select="notes"/></TD>
  </TR>
	</xsl:for-each>
</TABLE>
</xsl:if>
<!-- Cyberware end -->

<!-- Bioware start -->
<xsl:if test="augmentation/bioware">
<a class="common" href="javascript:void(0)" onClick="zalomit(this);">Page-break: NO</a>
<a class="common" href="javascript:void(0)" id="anchor8" onClick="schovat('8');">Hidden: NO (Bioware)</a>
<TABLE class="table" frame="box" id="tab8">
  <TR>
   	<TH colspan="5">Bioware</TH>
  </TR>
  <TR>
   	<TH>Name</TH>
    <TH>Slot</TH>
    <TH>Stress</TH>
    <TH>Bodycost</TH>
    <TH>Note</TH>
  </TR>
	<xsl:for-each select='augmentation/bioware'>
	<TR>
  	<TD class="box nowrap"><xsl:value-of select="name"/></TD>
   	<TD class="box"></TD>
   	<TD class="box"></TD>
   	<TD class="box center"><xsl:value-of select="bodycost"/></TD>
  	<TD class="box"><xsl:value-of select="notes"/></TD>
  </TR>
	</xsl:for-each>
</TABLE>
</xsl:if>
<!-- Bioware end -->

<!-- Weapons start -->
<xsl:if test="equipmentlist/weaponlist">
<a class="common" href="javascript:void(0)" onClick="zalomit(this);">Page-break: NO</a>
<a class="common" href="javascript:void(0)" id="anchor9" onClick="schovat('9');">Hidden: NO (Weapons)</a>
<TABLE class="table" frame="box" id="tab9">
  <TR>
   	<TH colspan="12">Weapons</TH>
  </TR>
  <TR>
   	<TH>Name</TH>
   	<TH>Carried</TH>
    <TH>Damage</TH>
    <TH>Con</TH>
    <TH>Rch</TH>
    <TH>Sht(4)</TH>
    <TH>Med(5)</TH>
    <TH>Lng(6)</TH>
    <TH>EtM(9)</TH>
    <TH>Mode</TH>
    <TH>Ammo</TH>
    <TH>Wt.</TH>
  </TR>
	<xsl:for-each select='equipmentlist/weaponlist/weapon'>
	<TR class="center">
  	<TD class="box left">
    	<xsl:if test="not(damage) or damage='-'">+ </xsl:if>
    	<xsl:value-of select="name"/><BR/><xsl:value-of select="accessories"/></TD>
   	<TD class="box"><xsl:value-of select="carried"/></TD>
   	<TD class="box nowrap"><xsl:value-of select="damage"/><xsl:value-of select="mount"/></TD>
   	<TD class="box"><xsl:value-of select="concealability"/></TD>
  	<TD class="box"><xsl:value-of select="reach"/></TD>
  	<TD class="box"><xsl:value-of select="shortrange"/></TD>
  	<TD class="box"><xsl:value-of select="mediumrange"/></TD>
  	<TD class="box"><xsl:value-of select="longrange"/></TD>
  	<TD class="box"><xsl:value-of select="extremerange"/></TD>
  	<TD class="box"><xsl:value-of select="mode"/></TD>
  	<TD class="box"><xsl:value-of select="ammunition"/></TD>
  	<TD class="box"><xsl:value-of select="mass"/></TD>
  </TR>
	</xsl:for-each>
</TABLE>
</xsl:if>
<!-- Weapons end -->

<!-- Gear start -->
<xsl:if test="equipmentlist/gearlist">
<a class="common" href="javascript:void(0)" onClick="zalomit(this);">Page-break: NO</a>
<a class="common" href="javascript:void(0)" id="anchor10" onClick="schovat('10');">Hidden: NO (Gear)</a>
<TABLE class="table" frame="box" id="tab10">
  <TR>
   	<TH colspan="10">Gear</TH>
  </TR>
  <TR>
  	<TH colspan="10">Carried Gear</TH>
  </TR>
  <TR>
   	<TH>Quantity</TH>
   	<TH>Name</TH>
   	<TH>Carried</TH>
    <TH>Rating</TH>
    <TH>Con</TH>
    <TH>Cost</TH>
    <TH>Avail</TH>
    <TH>St.index</TH>
    <TH>Weight</TH>
    <TH>Book</TH>
  </TR>
	<xsl:for-each select='equipmentlist/gearlist/gear'>
  <xsl:if test="carried='yes'">
	<TR class="center">
  	<TD class="box"><xsl:value-of select="quantity"/></TD>
  	<TD class="box left"><xsl:value-of select="name"/></TD>
   	<TD class="box"><xsl:value-of select="carried"/></TD>
   	<TD class="box nowrap"><xsl:value-of select="rating"/></TD>
   	<TD class="box"><xsl:value-of select="concealability"/></TD>
  	<TD class="box"><xsl:value-of select="cost"/></TD>
  	<TD class="box"><xsl:value-of select="availability"/></TD>
  	<TD class="box"><xsl:value-of select="streetindex"/></TD>
  	<TD class="box"><xsl:value-of select="mass"/></TD>
  	<TD class="box"><xsl:value-of select="book.page"/></TD>
  </TR>
  </xsl:if>
	</xsl:for-each>

  <TR>
  	<TH colspan="10">Not Carried Gear</TH>
  </TR>
  <TR>
   	<TH>Quantity</TH>
   	<TH>Name</TH>
   	<TH>Carried</TH>
    <TH>Rating</TH>
    <TH>Con</TH>
    <TH>Cost</TH>
    <TH>Avail</TH>
    <TH>St.index</TH>
    <TH>Weight</TH>
    <TH>Book</TH>
  </TR>
	<xsl:for-each select='equipmentlist/gearlist/gear'>
  <xsl:if test="carried='no'">
	<TR class="center">
  	<TD class="box"><xsl:value-of select="quantity"/></TD>
  	<TD class="box left"><xsl:value-of select="name"/></TD>
   	<TD class="box"><xsl:value-of select="carried"/></TD>
   	<TD class="box nowrap"><xsl:value-of select="rating"/></TD>
   	<TD class="box"><xsl:value-of select="concealability"/></TD>
  	<TD class="box"><xsl:value-of select="cost"/></TD>
  	<TD class="box"><xsl:value-of select="availability"/></TD>
  	<TD class="box"><xsl:value-of select="streetindex"/></TD>
  	<TD class="box"><xsl:value-of select="mass"/></TD>
  	<TD class="box"><xsl:value-of select="book.page"/></TD>
  </TR>
  </xsl:if>
  </xsl:for-each>
  <xsl:if test="equipmentlist/magegearlist">
  <TR>
  	<TH colspan="11">Mage gear</TH>
  </TR>
  <xsl:for-each select="equipmentlist/magegearlist/magegear">
  <TR>
  	<TD colspan="11"><xsl:value-of select="name"/></TD>
  </TR>
  </xsl:for-each>
  </xsl:if>

</TABLE>
</xsl:if>
<!-- Gear end -->

<!-- Vehicles start -->
<xsl:if test="equipmentlist/vehiclelist">
<a class="common" href="javascript:void(0)" onClick="zalomit(this);">Page-break: NO</a>
<a class="common" href="javascript:void(0)" id="anchor11" onClick="schovat('11');">Hidden: NO (Vehicles)</a>
<TABLE class="table" frame="box" id="tab11">
  <TR>
   	<TH colspan="1">Vehicles</TH>
  </TR>
  <xsl:for-each select='equipmentlist/vehiclelist/vehicle'>
  <TR>
	<TD class="box"><xsl:value-of select="name"/></TD>
  </TR>
  </xsl:for-each>
</TABLE>
</xsl:if>
<!-- Vehicles end -->


<!-- Deck start -->
<xsl:if test="decker/deckinfo">
<a class="common" href="javascript:void(0)" onClick="zalomit(this);">Page-break: NO</a>
<a class="common" href="javascript:void(0)" id="anchor12" onClick="schovat('12');">Hidden: NO (Deck)</a>
<TABLE class="table" frame="box" id="tab12">
  <TR>
   	<TH colspan="6">Deck - <xsl:value-of select="decker/deckinfo/deckname"/></TH>
  </TR>
  <TR>
	<TD class="box">Reaction</TD>
  	<TD class="box center"><xsl:value-of select="decker/deckinfo/reaction"/></TD>
	<TD class="box">MPCP</TD>
  	<TD class="box center"><xsl:value-of select="decker/deckinfo/mpcp"/></TD>
	<TD class="box">Hardening</TD>
  	<TD class="box center"><xsl:value-of select="decker/deckinfo/hardening"/></TD>
  </TR>
  <TR>
	<TD class="box">Initiative(D6)</TD>
  	<TD class="box center"><xsl:value-of select="decker/deckinfo/initiative"/></TD>
	<TD class="box">BOD Rating</TD>
  	<TD class="box center"><xsl:value-of select="decker/deckinfo/bod"/></TD>
	<TD class="box">Evasion Rating</TD>
  	<TD class="box center"><xsl:value-of select="decker/deckinfo/evasion"/></TD>
  </TR>
  <TR>
	<TD class="box">Hacking Pool</TD>
  	<TD class="box center"><xsl:value-of select="pools/hacking"/></TD>
	<TD class="box">Masking Rating</TD>
  	<TD class="box center"><xsl:value-of select="decker/deckinfo/masking"/></TD>
	<TD class="box">Sensor Rating</TD>
  	<TD class="box center"><xsl:value-of select="decker/deckinfo/sensor"/></TD>
  </TR>
  <TR>
	<TD class="box">Memory Active/Storage</TD>
  	<TD class="box center"><xsl:value-of select="decker/deckinfo/activememory"/>/<xsl:value-of select="decker/deckinfo/storagemem"/></TD>
	<TD class="box">I/O Speed</TD>
  	<TD class="box center"><xsl:value-of select="decker/deckinfo/iospeed"/></TD>
	<TD class="box">Response Increase</TD>
  	<TD class="box center"><xsl:value-of select="decker/deckinfo/responseincr"/></TD>
  </TR>
  <TR>
  <TR>
  	<TH colspan="6">Software</TH>
  </TR>
  <TR>
	<TD class="box" colspan="6">
	  <xsl:for-each select='decker/decklist/deck/software'>
		<xsl:value-of select="name"/>
		<xsl:if test="position()!=last()">
			<xsl:text>, </xsl:text>
		</xsl:if>
	  </xsl:for-each>
	</TD>
  </TR>
  </TR>

</TABLE>
</xsl:if>
<!-- Deck end -->

<!-- Contacts start -->
<xsl:if test="contactlist">
<a class="common" href="javascript:void(0)" onClick="zalomit(this);">Page-break: NO</a>
<a class="common" href="javascript:void(0)" id="anchor13" onClick="schovat('13');">Hidden: NO (Contacts)</a>
<TABLE class="table" frame="box" id="tab13">
  <TR>
   	<TH colspan="5">Contacts</TH>
  </TR>
  <TR>
   	<TH>Name</TH>
   	<TH>Location</TH>
    <TH>Archetype</TH>
    <TH>Occupation</TH>
    <TH>Level</TH>
  </TR>
	<xsl:for-each select='contactlist/contact'>
	<TR class="center">
   	<TD class="box"><xsl:value-of select="name"/></TD>
   	<TD class="box"><xsl:value-of select="location"/></TD>
   	<TD class="box left"><xsl:value-of select="archetype"/></TD>
   	<TD class="box"><xsl:value-of select="occupation"/></TD>
   	<TD class="box"><xsl:value-of select="level"/></TD>
  </TR>
	</xsl:for-each>
</TABLE>
</xsl:if>
<!-- Contacts end -->

<!-- Biography start -->
<xsl:if test="biography">
<a class="common" href="javascript:void(0)" onClick="zalomit(this);">Page-break: NO</a>
<a class="common" href="javascript:void(0)" id="anchor14" onClick="schovat('14');">Hidden: NO (Biography)</a>
<TABLE class="table" frame="box" id="tab14">
  <TR>
   	<TH>Biography</TH>
  </TR>
  <TR>
   	<TD class="box"><xsl:value-of disable-output-escaping="yes" select="biography"/></TD>
  </TR>
</TABLE>
</xsl:if>
<!-- Biography end -->


</BODY>
</HTML>

</xsl:template>

</xsl:stylesheet>
