<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" encoding="windows-1250"  version="4.01"/>
<xsl:template match="/SR3Char">

<HTML>
<HEAD>
	<TITLE>Shadowrun Character Sheet [<xsl:value-of select='bio/streetnames/streetname'/>]</TITLE>
	<LINK rel="stylesheet" href="./style.css" type="text/css"/>
	<META http-equiv="Content-Type" content="text/html; charset=utf-8"/>

<script type="text/javascript">
<xsl:text>
function zalomit(what)
{
	if(what.className=="common zalomit")  {
  	cls="common";
    txt="NO";
  }
  else {
  	cls="common zalomit";
    txt="YES";
  }
  what.className = cls;
  what.innerHTML = "Page-break: " + txt;
}

var title = new Array();
title[1] = "(Informations, Attributes, Edges and Flaws, Karma and Pools)";
title[2] = "(C.S. and L.S., Armors)";
title[3] = "(Active skills, Knowledges, Languages)";
title[4] = "(Physad skills)";
title[5] = "(Magic info)";
title[6] = "(Spells)";
title[7] = "(Cyberware)";
title[8] = "(Bioware)";
title[9] = "(Weapons)";
title[10] = "(Gear)";
title[11] = "(Vehicles)";
title[12] = "(Deck)";
title[13] = "(Contacts)";
title[14] = "(Biography)";
title[15] = "(Otaku living persona)";
title[16] = "(Rigger)";

function schovat(what)
{
  tmp=document.getElementById('tab'+what);
	if(tmp.className=="table schovat")  {
  	cls="table";
    txt="NO";
  }
  else {
  	cls="table schovat";
    txt="YES";
  }
  tmp.className = cls;
  document.getElementById('anchor'+what).innerHTML = "Hidden: " + txt + " " + title[what];
}
</xsl:text>
</script>

</HEAD>

<BODY>

<!-- Name of Char, Creator info start -->
<TABLE class="table">
	<TR>
		<TH colspan="2" class="title">Shadowrun 3rd ed. Character Sheet</TH>
	</TR>

	<TR>
		<TD class="title" colspan="1"><xsl:value-of select='bio/streetnames/streetname'/></TD>
		<TD>Created by <xsl:value-of select='realworld/playername'/> at <xsl:value-of select='realworld/creationdate'/>, last modified at <xsl:value-of select='realworld/lastmoddate'/></TD>
	</TR>
</TABLE>
<!-- Name of Char, Creator info end -->


<!-- Informations, Attributes, Edges and Flaws start -->
<a class="common" href="javascript:void(0)" id="anchor1" onClick="schovat('1');">Hidden: NO (Informations, Attributes, Edges and Flaws, Karma and Pools)</a>
<TABLE class="table" id="tab1">
	<TR>
		<TD colspan="3">
		<!-- Condition monitor start -->
			<TABLE>
				<TR><TH colspan="24">Condition monitor</TH></TR>
				<TR class="center">
					<TD> </TD>
					<TD>L</TD>
					<TD> </TD>
					<TD>M</TD>
					<TD> </TD>
					<TD> </TD>
					<TD>S</TD>
					<TD> </TD>
					<TD> </TD>
					<TD> </TD>
					<TD>D</TD>
					<TD> </TD>
					<TD>L</TD>
					<TD> </TD>
					<TD>M</TD>
					<TD> </TD>
					<TD> </TD>
					<TD>S</TD>
					<TD> </TD>
					<TD> </TD>
					<TD> </TD>
					<TD>D</TD>
					<TD> </TD>
					<TD> </TD>
				</TR>
				<TR>
					<TD class="right">MENTAL</TD>
					<TD class="border light"> </TD>
					<TD class="border light"> </TD>
					<TD class="border moderate"> </TD>
					<TD class="border moderate"> </TD>
					<TD class="border moderate"> </TD>
					<TD class="border serious"> </TD>
					<TD class="border serious"> </TD>
					<TD class="border serious"> </TD>
					<TD class="border serious"> </TD>
					<TD class="border deadly"> </TD>
					<TD class="right">PHYSICAL</TD>
					<TD class="border light"> </TD>
					<TD class="border light"> </TD>
					<TD class="border moderate"> </TD>
					<TD class="border moderate"> </TD>
					<TD class="border moderate"> </TD>
					<TD class="border serious"> </TD>
					<TD class="border serious"> </TD>
					<TD class="border serious"> </TD>
					<TD class="border serious"> </TD>
					<TD class="border deadly"> </TD>
					<TD class="right">OVERFLOW</TD>
					<TD class="border"> </TD>
				</TR>
			</TABLE>
		<!-- Condition monitor end -->
		</TD>
	</TR>
	<TR>
		<TD>
		<!-- Informations start -->
			<TABLE>
				<TR><TH>Informations</TH></TR>
      	<TR><TD><b>Street Name</b>: <xsl:value-of select='bio/streetnames/streetname'/></TD></TR>
        <TR><TD><b>Real Name</b>: <xsl:value-of select='bio/realname'/></TD></TR>
        <TR><TD><b>DoB</b>: <xsl:value-of select="bio/birthdate"/></TD></TR>
        <TR><TD><b>BirthPlace</b>: <xsl:value-of select="bio/birthplace"/></TD></TR>
				<TR><TD><HR/></TD></TR>
				<TR><TD><b>Metatype</b>: <xsl:value-of select="bio/race"/></TD></TR>
				<TR><TD><HR/></TD></TR>
				<TR><TD><b>Sex</b>: <xsl:value-of select="bio/gender"/></TD></TR>
				<TR><TD><b>Height</b>: <xsl:value-of select="bio/height"/></TD></TR>
				<TR><TD><b>Weight</b>: <xsl:value-of select="bio/weight"/></TD></TR>
				<TR><TD><b>Eyes</b>: <xsl:value-of select="bio/eyes"/></TD></TR>
				<TR><TD><b>Hair</b>: <xsl:value-of select="bio/hair"/></TD></TR>
				<TR><TD><HR/></TD></TR>
				<TR><TD><b>Specials</b>: <xsl:for-each select="racedesc">
	      	<LI><xsl:value-of select="line"/></LI>
  	      </xsl:for-each></TD></TR>
			</TABLE>
		<!-- Informations end -->
		</TD>
		<TD>
		<!-- Attributes start -->
			<TABLE>
				<TR><TH colspan="2">Attributes</TH></TR>
				<TR>
        	<TD><b>Body</b></TD>
					<TD class="center">
						<xsl:value-of select="attributes/attribute/natural[contains(../name,'body')]"/>
            /
            <xsl:value-of select="attributes/attribute/total[contains(../name,'body')]"/>
        	</TD>
        </TR>
				<TR>
        	<TD><b>Quickness</b></TD>
					<TD class="center">
						<xsl:value-of select="attributes/attribute/natural[contains(../name,'quickness')]"/>
            /
            <xsl:value-of select="attributes/attribute/total[contains(../name,'quickness')]"/>
        	</TD>
        </TR>
				<TR>
        	<TD><b>Strength</b></TD>
					<TD class="center">
						<xsl:value-of select="attributes/attribute/natural[contains(../name,'strength')]"/>
            /
            <xsl:value-of select="attributes/attribute/total[contains(../name,'strength')]"/>
        	</TD>
        </TR>
				<TR>
        	<TD><b>Intelligence</b></TD>
					<TD class="center">
						<xsl:value-of select="attributes/attribute/natural[contains(../name,'intelligence')]"/>
            /
            <xsl:value-of select="attributes/attribute/total[contains(../name,'intelligence')]"/>
        	</TD>
        </TR>
				<TR>
        	<TD><b>Charisma</b></TD>
					<TD class="center">
						<xsl:value-of select="attributes/attribute/natural[contains(../name,'charisma')]"/>
            /
            <xsl:value-of select="attributes/attribute/total[contains(../name,'charisma')]"/>
        	</TD>
        </TR>
				<TR>
        	<TD><b>Willpower</b></TD>
					<TD class="center">
						<xsl:value-of select="attributes/attribute/natural[contains(../name,'willpower')]"/>
            /
            <xsl:value-of select="attributes/attribute/total[contains(../name,'willpower')]"/>
        	</TD>
        </TR>
				<TR>
        	<TD><b>Runmult</b></TD>
					<TD class="center">
            <xsl:value-of select="attributes/attribute/runmult[contains(../name,'runmult')]"/>
        	</TD>
        </TR>
				<TR>
        	<TD><b>Reaction</b></TD>
					<TD class="center">
						<xsl:value-of select="attributes/attribute/natural[contains(../name,'reaction')]"/>
            /
            <xsl:value-of select="attributes/attribute/total[contains(../name,'reaction')]"/>
        	</TD>
        </TR>
				<TR>
        	<TD><b>Initiative</b></TD>
					<TD class="center">
						<xsl:value-of select="attributes/attribute/natural[contains(../name,'initiative')]"/>
            /
            <xsl:value-of select="attributes/attribute/total[contains(../name,'initiative')]"/>
        	</TD>
        </TR>
        <!-- If is shapeshifter, write his/her attr start -->
				<xsl:if test="attributes/attribute/name[contains(../name,'ShapeShifterBOD')]">
				<TR><TD colspan="2"><hr/></TD></TR>
				<TR>
        	<TD colspan="2"><b>ShapeShifter:</b></TD>
        </TR>
				<TR>
        	<TD><b>Body</b></TD>
					<TD class="center">
            <xsl:value-of select="attributes/attribute/total[contains(../name,'ShapeShifterBOD')]"/>
        	</TD>
        </TR>
				<TR>
        	<TD><b>Quickness</b></TD>
					<TD class="center">
            <xsl:value-of select="attributes/attribute/total[contains(../name,'ShapeShifterQCK')]"/>
        	</TD>
        </TR>
				<TR>
        	<TD><b>Strength</b></TD>
					<TD class="center">
            <xsl:value-of select="attributes/attribute/total[contains(../name,'ShapeShifterSTR')]"/>
        	</TD>
        </TR>
				<TR>
        	<TD><b>Runmult</b></TD>
					<TD class="center">
            <xsl:value-of select="attributes/attribute/total[contains(../name,'ShapeShifterRunMult')]"/>
        	</TD>
        </TR>
				<TR>
        	<TD><b>Reaction</b></TD>
					<TD class="center">
            <xsl:value-of select="attributes/attribute/total[contains(../name,'ShapeShifterREA')]"/>
        	</TD>
        </TR>
				<TR>
        	<TD><b>Iniciative</b></TD>
					<TD class="center">
            <xsl:value-of select="attributes/attribute/total[contains(../name,'ShapeShifterINI')]"/>
        	</TD>
        </TR>
        </xsl:if>
        <!-- If is shapeshifter, write his/her attr end -->

				<TR><TD colspan="2"><hr/></TD></TR>

				<TR>
        	<TD><b>Magic</b></TD>
					<TD class="center">
						<xsl:value-of select="attributes/attribute/total[contains(../name,'magic')]"/>
        	</TD>
        </TR>
				<TR>
        	<TD><b>Essence</b></TD>
					<TD class="center">
						<xsl:value-of select="attributes/attribute/total[contains(../name,'essence')]"/>(<xsl:value-of select="attributes/attribute/augment[contains(../name,'essence')]"/>)
        	</TD>
        </TR>
				<TR>
        	<TD><b>Bodyindex</b></TD>
					<TD class="center">
						<xsl:value-of select="attributes/attribute/bodyindex[contains(../name,'bodyindex')]"/>
        	</TD>
        </TR>
			</TABLE>
		<!-- Attributes end -->
		</TD>
		<TD>
  	<!-- Race desc start -->
  		<TABLE>
  			<TR><TH>Race description</TH></TR>
  			<TR>
					<TD class="bold">
						<xsl:for-each select="racedesc/line">
							<xsl:value-of select="."/><BR/>
						</xsl:for-each>
    			</TD>
        </TR>
      </TABLE>
	  <!-- Race desc end -->
	  <!-- Karma and Pools start -->
    	<TABLE>
    		<TR>
					<TH>Karma and Dice Pools</TH>
				</TR>
	  		<TR>
					<TD class="nowrap">
						<b>Karma total: </b> <xsl:value-of select='bio/karmatotal'/>
						<BR/><b>Karma remaining: </b> <xsl:value-of select='bio/karmaremaining'/>
					</TD>
        </TR>
        <TR>
        	<TD><HR/></TD>
        </TR>
        <TR>
					<TD class="nowrap">
					<xsl:if test="pools/combat">
						<b>Combat: </b> <xsl:value-of select="pools/combat"/><BR/>
					</xsl:if>
					<xsl:if test="pools/ShapeShifterCombatPool">
						<b>ShapeShifterCombat: </b> <xsl:value-of select="pools/ShapeShifterCombatPool"/><BR/>
					</xsl:if>
					<xsl:if test="pools/hacking">
						<b>Hacking: </b> <xsl:value-of select="pools/hacking"/><BR/>
					</xsl:if>
					<xsl:if test="pools/control">
						<b>Control: </b> <xsl:value-of select="pools/control"/><BR/>
					</xsl:if>
					<xsl:if test="pools/karma">
						<b>Karma: </b> <xsl:value-of select="pools/karma"/><BR/>
					</xsl:if>
					<xsl:if test="pools/spell">
						<b>Spell: </b> <xsl:value-of select="pools/spell"/><BR/>
					</xsl:if>
					<xsl:if test="pools/task">
						<b>Task: </b> <xsl:value-of select="pools/task"/><BR/>
					</xsl:if>
					<xsl:if test="pools/astral">
						<b>Astral: </b> <xsl:value-of select="pools/astral"/>
					</xsl:if>
					</TD>
				</TR>
      </TABLE>
	  <!-- Karma and Pools end -->
		</TD>
	</TR>
	<TR>
		<TD colspan="3">
  	<!-- Edges and Flaws start -->
  		<TABLE>
  			<TR><TH colspan="4">Edges and Flaws</TH></TR>
  			<TR class="bold">
  				<TH>Edge/Flaw</TH>
  				<TH>Cost</TH>
  				<TH>Book</TH>
  				<TH>Notes</TH>
  			</TR>
				<xsl:for-each select="advantages/advantage">
  			<TR>
					<TD class="box bold">
						<xsl:value-of select="name"/>
    			</TD>
					<TD class="box">
						<xsl:value-of select="cost"/>
    			</TD>
					<TD class="box">
						<xsl:value-of select="book.page"/>
    			</TD>
					<TD class="box">
						<xsl:value-of select="notes"/>
    			</TD>
        </TR>
				</xsl:for-each>
      </TABLE>
	  <!-- Edges and Flaws end -->
		</TD>
	</TR>
</TABLE>
<!-- Informations, Attributes, Edges and Flaws end -->

<!-- Karma and Pools, C.S. and L.S., Armors start -->
<a class="common" href="javascript:void(0)" id="anchor2" onClick="schovat('2');">Hidden: NO (C.S. and L.S., Armors)</a>
<TABLE class="table" id="tab2">
	<TR>
    <TH>Credit Sticks</TH>
    <TH>Armors/Clothing</TH>
	</TR>

  <TR>
  <!-- C.S. start -->
		<TD>
			<TABLE>
      	<TR>
        	<TH>Type</TH>
        	<TH>Identity</TH>
        	<TH>Rating</TH>
        	<TH>Cost</TH>
        	<TH>Holding</TH>
        </TR>
			<xsl:for-each select="bio/credsticks/credstick">
				<TR class="bold">
        	<TD><xsl:value-of select="type"/></TD>
        	<TD><xsl:value-of select="identity"/></TD>
        	<TD class="center"><xsl:value-of select="rating"/></TD>
        	<TD class="center"><xsl:value-of select="cost"/></TD>
        	<TD class="right"><xsl:value-of select="holding"/>,-</TD>
        </TR>
			</xsl:for-each>
      </TABLE>
    </TD>
  <!-- C.S. end -->

  <!-- Armors start -->
		<TD>
			<TABLE>
      	<TR>
        	<TH>Name</TH>
        	<TH>Car</TH>
        	<TH>Armor</TH>
        	<TH>Con</TH>
        	<TH>Wt</TH>
        	<TH>Book</TH>
        </TR>
			<xsl:for-each select="equipmentlist/armorlist/armor">
				<TR>
					<TD class="bold"><xsl:value-of select="name"/></TD>
					<TD class="center"><xsl:value-of select="carried"/></TD>
					<TD class="center"><xsl:value-of select="ballistic"/>/<xsl:value-of select="impact"/></TD>
					<TD class="center"><xsl:value-of select="concealability"/></TD>
        	<TD class="center"><xsl:value-of select="mass"/></TD>
					<TD class="center"><xsl:value-of select="book.page"/></TD>
        </TR>
			</xsl:for-each>
      </TABLE>
    </TD>
  <!-- Armors end -->
  </TR>
  <TR>
	<!-- L.S. start -->
    <TH colspan="2">Lifestyles</TH>
  </TR>
  <TR>
  	<TD colspan="2">
			<TABLE>
      	<TR>
        	<TH>Residence</TH>
          <TH>Primary</TH>
        	<TH>From</TH>
          <TH>Months</TH>
          <TH>Level/Desc</TH>
        </TR>
			<xsl:for-each select="bio/lifestyles/lifestyle">
				<TR>
        	<TD class="bold"><xsl:value-of select="residence"/></TD>
        	<TD class="center"><xsl:value-of select="primary"/></TD>
        	<TD><xsl:value-of select="startdate"/></TD>
        	<TD class="center"><xsl:value-of select="months"/></TD>
        	<TD>
        		<xsl:if test="description">
        			<B>Desc:</B> <xsl:value-of select="residence"/><xsl:text> </xsl:text><xsl:value-of select="description"/><BR/>
						</xsl:if>
        		<xsl:if test="level">
							<B>Level:</B> <xsl:value-of select="level"/><BR/>
						</xsl:if>
        		<xsl:if test="ltg">
							<B>LTG:</B> <xsl:value-of select="ltg"/><BR/>
						</xsl:if>
        		<xsl:if test="notes">
							<B>Notes:</B> <xsl:value-of select="notes"/><BR/>
						</xsl:if>
					</TD>
        </TR>
			</xsl:for-each>
      </TABLE>
		</TD>
  <!-- L.S. end -->
  </TR>
</TABLE>
<!-- Karma and Pools, C.S. and L.S., Armors end -->


<!-- Active skills, Knowledges, Languages start -->
<a class="common" href="javascript:void(0)" onClick="zalomit(this);">Page-break: NO</a>
<a class="common" href="javascript:void(0)" id="anchor3" onClick="schovat('3');">Hidden: NO (Active skills, Knowledges, Languages)</a>
<TABLE class="table" id="tab3">
	<TR>
	 	<TH>Active skills</TH>
 		<TH>Knowlege skills</TH>
	 	<TH>Languages</TH>
	</TR>

  <TR>
  <!-- Active skills start -->
  	<TD>
     	<TABLE>
				<xsl:for-each select='skills/active/skill'>
          <TR>
						<TD><xsl:value-of select="./display"/></TD>
          </TR>
				</xsl:for-each>
      </TABLE>
    </TD>
  <!-- Active skills end -->

  <!-- Knowledges skills start -->
  	<TD>
     	<TABLE>
				<xsl:for-each select='skills/knowledge/skill'>
          <TR>
						<TD><xsl:value-of select="./display"/></TD>
          </TR>
				</xsl:for-each>
      </TABLE>
    </TD>
  <!-- Knowledges skills end -->

  <!-- Languages start -->
  	<TD>
     	<TABLE>
				<xsl:for-each select='skills/language/skill'>
          <TR>
						<TD><xsl:value-of select="./display"/></TD>
          </TR>
				</xsl:for-each>
      </TABLE>
    </TD>
  <!-- Languages end -->
  </TR>
</TABLE>
<!-- Active skills, Knowledges, Languages end -->

<!-- Physad skills start -->
<xsl:if test="magic/physad">
<a class="common" href="javascript:void(0)" onClick="zalomit(this);">Page-break: NO</a>
<a class="common" href="javascript:void(0)" id="anchor4" onClick="schovat('4');">Hidden: NO (Physad skills)</a>
<TABLE class="table" frame="box" id="tab4">
  <TR>
   	<TH colspan="5">Physad skills</TH>
  </TR>
  <TR>
   	<TH>Name</TH>
    <TH>Cost</TH>
    <TH>Mods</TH>
    <TH>Book</TH>
    <TH>Note</TH>
  </TR>
	<xsl:for-each select='magic/physad/power'>
	<TR>
  	<TD class="box"><xsl:value-of select="name"/></TD>
   	<TD class="box"><xsl:value-of select="cost"/></TD>
   	<TD class="box"><xsl:value-of select="mods"/></TD>
   	<TD class="box"><xsl:value-of select="book.page"/></TD>
  	<TD class="box"><xsl:value-of select="notes"/></TD>
  </TR>
	</xsl:for-each>
</TABLE>
</xsl:if>
<!-- Physad skills end -->

<!-- Magic info start -->
<xsl:if test="magic">
<a class="common" href="javascript:void(0)" onClick="zalomit(this);">Page-break: NO</a>
<a class="common" href="javascript:void(0)" id="anchor5" onClick="schovat('5');">Hidden: NO (Magic info)</a>
<TABLE class="table" frame="box" id="tab5">
  <TR>
   	<TH colspan="11"><xsl:value-of select="magic/magetype"/></TH>
  </TR>
  <TR class="center">
    <TH>Magic attribute:</TH>
    <TD class="box">Total:</TD>
  	<TD class="box"><xsl:value-of select="magic/m.attribute/total"/></TD>
    <TD class="box">Start:</TD>
  	<TD class="box"><xsl:value-of select="magic/m.attribute/start"/></TD>
    <TD class="box">Initialization:</TD>
  	<TD class="box"><xsl:value-of select="magic/m.attribute/initialization"/></TD>
    <TD class="box">Geasa:</TD>
  	<TD class="box"><xsl:value-of select="magic/m.attribute/geasa"/></TD>
    <TD class="box">Spent:</TD>
  	<TD class="box"><xsl:value-of select="magic/m.attribute/spent"/></TD>
  </TR>
  <TR>
    <TH>Desc:</TH>
  	<TD class="box" colspan="10"><xsl:value-of disable-output-escaping="yes" select="magic/desc"/></TD>
  </TR>
  <TR>
  	<TH>Initiation desc</TH>
  	<TD class="box" colspan="10"><xsl:value-of select="magic/initiationdesc"/></TD>
  </TR>
  <TR>
    <TH>Group list</TH>
    <TD class="box" colspan="4">
	  <xsl:for-each select='magic/groupslist/group'>
		<xsl:value-of select="."/>
		<xsl:if test="position()!=last()">
			<xsl:text>, </xsl:text>
		</xsl:if>
	  </xsl:for-each>
    </TD>
    <TH class="left">Geas list</TH>
    <TD class="box" colspan="5">
	  <xsl:for-each select='magic/geaslist/geas'>
		<xsl:value-of select="."/>
		<xsl:if test="position()!=last()">
			<xsl:text>, </xsl:text>
		</xsl:if>
	  </xsl:for-each>
    </TD>
  </TR>
</TABLE>
</xsl:if>
<!-- Magic info end -->

<!-- Spells start -->
<xsl:if test="magic/spelllist">
<a class="common" href="javascript:void(0)" onClick="zalomit(this);">Page-break: NO</a>
<a class="common" href="javascript:void(0)" id="anchor6" onClick="schovat('6');">Hidden: NO (Spells)</a>
<TABLE class="table" frame="box" id="tab6">
  <TR>
   	<TH colspan="9">Spells</TH>
  </TR>
  <TR>
   	<TH>Name</TH>
    <TH>Force</TH>
    <TH>Type</TH>
    <TH>Target</TH>
    <TH>Duration</TH>
    <TH>Range</TH>
    <TH>Drain</TH>
    <TH>Note</TH>
    <TH>Cost</TH>
  </TR>
	<xsl:for-each select='magic/spelllist/spell'>
	<TR class="center">
  	<TD class="box left"><xsl:value-of select="name"/></TD>
   	<TD class="box"><xsl:value-of select="force"/></TD>
   	<TD class="box"><xsl:value-of select="type"/></TD>
   	<TD class="box"><xsl:value-of select="target"/></TD>
  	<TD class="box"><xsl:value-of select="duration"/></TD>
  	<TD class="box"><xsl:value-of select="range"/></TD>
  	<TD class="box"><xsl:value-of select="drain"/></TD>
  	<TD class="box"><xsl:value-of select="notes"/></TD>
  	<TD class="box"><xsl:value-of select="cost"/></TD>
  </TR>
	</xsl:for-each>
</TABLE>
</xsl:if>
<!-- Spells end -->

<!-- Cyberware start -->
<xsl:if test="augmentation/cyberware">
<a class="common" href="javascript:void(0)" onClick="zalomit(this);">Page-break: NO</a>
<a class="common" href="javascript:void(0)" id="anchor7" onClick="schovat('7');">Hidden: NO (Cyberware)</a>
<TABLE class="table" frame="box" id="tab7">
  <TR>
   	<TH colspan="8">Cyberware</TH>
  </TR>
  <TR>
   	<TH>Name</TH>
    <TH>Grade</TH>
    <TH>Slot</TH>
    <TH>Stress</TH>
    <TH>Essence</TH>
    <TH>Note</TH>
    <TH>Avail</TH>
    <TH>Book</TH>
  </TR>
	<xsl:for-each select='augmentation/cyberware'>
	<TR>
  	<TD class="box nowrap"><xsl:value-of select="name"/></TD>
  	<TD class="box nowrap"><xsl:value-of select="grade"/></TD>
   	<TD class="box"></TD>
   	<TD class="box"></TD>
   	<TD class="box center"><xsl:value-of select="essencecost"/></TD>
  	<TD class="box"><xsl:value-of select="notes"/></TD>
  	<TD class="box center"><xsl:value-of select="avail"/></TD>
  	<TD class="box"><xsl:value-of select="book.page"/></TD>
  </TR>
	</xsl:for-each>
</TABLE>
</xsl:if>
<!-- Cyberware end -->

<!-- Bioware start -->
<xsl:if test="augmentation/bioware">
<a class="common" href="javascript:void(0)" onClick="zalomit(this);">Page-break: NO</a>
<a class="common" href="javascript:void(0)" id="anchor8" onClick="schovat('8');">Hidden: NO (Bioware)</a>
<TABLE class="table" frame="box" id="tab8">
  <TR>
   	<TH colspan="5">Bioware</TH>
  </TR>
  <TR>
   	<TH>Name</TH>
    <TH>Slot</TH>
    <TH>Stress</TH>
    <TH>Bodycost</TH>
    <TH>Note</TH>
  </TR>
	<xsl:for-each select='augmentation/bioware'>
	<TR>
  	<TD class="box nowrap"><xsl:value-of select="name"/></TD>
   	<TD class="box"></TD>
   	<TD class="box"></TD>
   	<TD class="box center"><xsl:value-of select="bodycost"/></TD>
  	<TD class="box"><xsl:value-of select="notes"/></TD>
  </TR>
	</xsl:for-each>
</TABLE>
</xsl:if>
<!-- Bioware end -->

<!-- Weapons start -->
<xsl:if test="equipmentlist/weaponlist">
<a class="common" href="javascript:void(0)" onClick="zalomit(this);">Page-break: NO</a>
<a class="common" href="javascript:void(0)" id="anchor9" onClick="schovat('9');">Hidden: NO (Weapons)</a>
<TABLE class="table" frame="box" id="tab9">
  <TR>
   	<TH colspan="13">Weapons</TH>
  </TR>
  <TR>
   	<TH>Name</TH>
   	<TH>Car</TH>
    <TH>Con</TH>
    <TH>Dam</TH>
    <TH>Rch</TH>
    <TH>Sht</TH>
    <TH>Med</TH>
    <TH>Lng</TH>
    <TH>EtM</TH>
    <TH>Mode</TH>
    <TH>Ammo</TH>
    <TH>Wt.</TH>
    <TH>Book</TH>
  </TR>
	<xsl:for-each select='equipmentlist/weaponlist/weapon'>
 	<xsl:choose>
	 	<xsl:when test="not(damage) or damage='-'">
		<TR class="center">
			<TD class="box left">	+ <xsl:value-of select="name"/><BR/><xsl:value-of select="accessories"/></TD>
	   	<TD class="box"><xsl:value-of select="carried"/></TD>
	   	<TD class="box"><xsl:value-of select="concealability"/></TD>
	   	<TD class="box left" colspan="8">
				<xsl:if test="mount">
				Mount: <xsl:value-of select="mount"/>
				</xsl:if>
				<xsl:if test="quantity">
				Quantity: <xsl:value-of select="quantity"/>
				</xsl:if>
			</TD>
	  	<TD class="box"><xsl:value-of select="mass"/></TD>
	  	<TD class="box"><xsl:value-of select="book.page"/></TD>
	  </TR>
		</xsl:when>
		<xsl:otherwise>
		<TR class="center">
	  	<TD class="box left"><xsl:value-of select="name"/><BR/>
				<xsl:if test="accessories">
				Access.:<xsl:value-of select="accessories"/>
				</xsl:if>
			</TD>
	   	<TD class="box"><xsl:value-of select="carried"/></TD>
	   	<TD class="box"><xsl:value-of select="concealability"/></TD>
	   	<TD class="box"><xsl:value-of select="damage"/></TD>
	  	<TD class="box"><xsl:value-of select="reach"/></TD>
	  	<TD class="box"><xsl:value-of select="shortrange"/></TD>
	  	<TD class="box"><xsl:value-of select="mediumrange"/></TD>
	  	<TD class="box"><xsl:value-of select="longrange"/></TD>
	  	<TD class="box"><xsl:value-of select="extremerange"/></TD>
	  	<TD class="box"><xsl:value-of select="mode"/></TD>
	  	<TD class="box"><xsl:value-of select="ammunition"/></TD>
	  	<TD class="box"><xsl:value-of select="mass"/></TD>
	  	<TD class="box"><xsl:value-of select="book.page"/></TD>
	  </TR>
		</xsl:otherwise>
 	</xsl:choose>
	</xsl:for-each>
</TABLE>
</xsl:if>
<!-- Weapons end -->

<!-- Gear start -->
<xsl:if test="equipmentlist/gearlist">
<a class="common" href="javascript:void(0)" onClick="zalomit(this);">Page-break: NO</a>
<a class="common" href="javascript:void(0)" id="anchor10" onClick="schovat('10');">Hidden: NO (Gear)</a>
<TABLE class="table" frame="box" id="tab10">
  <TR>
   	<TH colspan="10">Gear</TH>
  </TR>
  <TR>
  	<TH colspan="10">Carried Gear</TH>
  </TR>
  <TR>
   	<TH>Quantity</TH>
   	<TH>Name</TH>
   	<TH>Carried</TH>
    <TH>Rating</TH>
    <TH>Con</TH>
    <TH>Cost</TH>
    <TH>Avail</TH>
    <TH>SI</TH>
    <TH>Wt</TH>
    <TH>Book</TH>
  </TR>
	<xsl:for-each select='equipmentlist/gearlist/gear'>
  <xsl:if test="carried='yes'">
	<TR class="center">
  	<TD class="box"><xsl:value-of select="quantity"/></TD>
  	<TD class="box left"><xsl:value-of select="name"/></TD>
   	<TD class="box"><xsl:value-of select="carried"/></TD>
   	<TD class="box nowrap"><xsl:value-of select="rating"/></TD>
   	<TD class="box"><xsl:value-of select="concealability"/></TD>
  	<TD class="box"><xsl:value-of select="cost"/></TD>
  	<TD class="box"><xsl:value-of select="availability"/></TD>
  	<TD class="box"><xsl:value-of select="streetindex"/></TD>
  	<TD class="box"><xsl:value-of select="mass"/></TD>
  	<TD class="box"><xsl:value-of select="book.page"/></TD>
  </TR>
  </xsl:if>
	</xsl:for-each>

  <TR>
  	<TH colspan="10">Not Carried Gear</TH>
  </TR>
  <TR>
   	<TH>Quantity</TH>
   	<TH>Name</TH>
   	<TH>Carried</TH>
    <TH>Rating</TH>
    <TH>Con</TH>
    <TH>Cost</TH>
    <TH>Avail</TH>
    <TH>SI</TH>
    <TH>Wt</TH>
    <TH>Book</TH>
  </TR>
	<xsl:for-each select='equipmentlist/gearlist/gear'>
  <xsl:if test="carried='no'">
	<TR class="center">
  	<TD class="box"><xsl:value-of select="quantity"/></TD>
  	<TD class="box left"><xsl:value-of select="name"/></TD>
   	<TD class="box"><xsl:value-of select="carried"/></TD>
   	<TD class="box nowrap"><xsl:value-of select="rating"/></TD>
   	<TD class="box"><xsl:value-of select="concealability"/></TD>
  	<TD class="box"><xsl:value-of select="cost"/></TD>
  	<TD class="box"><xsl:value-of select="availability"/></TD>
  	<TD class="box"><xsl:value-of select="streetindex"/></TD>
  	<TD class="box"><xsl:value-of select="mass"/></TD>
  	<TD class="box"><xsl:value-of select="book.page"/></TD>
  </TR>
  </xsl:if>
  </xsl:for-each>
  <xsl:if test="equipmentlist/magegearlist">
  <TR>
  	<TH colspan="11">Mage gear</TH>
  </TR>
  <TR>
   	<TH>Quantity</TH>
   	<TH>Name</TH>
   	<TH>Carried</TH>
    <TH>Karma</TH>
    <TH></TH>
    <TH>Cost</TH>
    <TH>Avail</TH>
    <TH>SI</TH>
    <TH>Wt</TH>
    <TH>Book</TH>
  </TR>
  <xsl:for-each select="equipmentlist/magegearlist/magegear">
  <TR class="center">
  	<TD class="box"><xsl:value-of select="quantity"/></TD>
  	<TD class="left box"><xsl:value-of select="name"/></TD>
  	<TD class="box"> </TD>
  	<TD class="box"><xsl:value-of select="karmacost"/></TD>
  	<TD class="box"> </TD>
  	<TD class="box"><xsl:value-of select="cost"/></TD>
  	<TD class="box"><xsl:value-of select="availability"/></TD>
  	<TD class="box"><xsl:value-of select="streetindex"/></TD>
  	<TD class="box"> </TD>
  	<TD class="box"><xsl:value-of select="book.page"/></TD>
  </TR>
  </xsl:for-each>
  </xsl:if>

</TABLE>
</xsl:if>
<!-- Gear end -->

<!-- Rigger  start-->
<xsl:if test="equipmentlist/vehiclelist">
<a class="common" href="javascript:void(0)" onClick="zalomit(this);">Page-break: NO</a>
<a class="common" href="javascript:void(0)" id="anchor11" onClick="schovat('16');">Hidden: NO (Rigger)</a>
<TABLE class="table" frame="box" id="tab16">
  <TR>
   	<TH colspan="4">Rigger</TH>
  </TR>
  <TR>
		<TH>Reaction</TH>
		<TH>Iniciative</TH>
		<TH>VCR</TH>
		<TH>Controlpool</TH>
  </TR>
  <TR>
  	<TD class="box"><xsl:value-of select="rigger/reaction"/></TD>
  	<TD class="box"><xsl:value-of select="rigger/iniciative"/></TD>
  	<TD class="box"><xsl:value-of select="rigger/vcr"/></TD>
  	<TD class="box"><xsl:value-of select="rigger/controlpool"/></TD>
  </TR>
</TABLE>
</xsl:if>
<!-- Rigger end -->

<!-- Vehicles start -->
<xsl:if test="equipmentlist/vehiclelist">
<a class="common" href="javascript:void(0)" onClick="zalomit(this);">Page-break: NO</a>
<a class="common" href="javascript:void(0)" id="anchor11" onClick="schovat('11');">Hidden: NO (Vehicles)</a>
<TABLE class="table" frame="box" id="tab11">
  <TR>
   	<TH colspan="9">Vehicles</TH>
  </TR>
  <TR>
		<TH>Name</TH>
		<TH>Handling</TH>
		<TH>Body Armor</TH>
		<TH>Speed Accel</TH>
		<TH>Aig Autonav</TH>
		<TH>Pilot Sensor</TH>
		<TH>Cargo Load</TH>
		<TH>Seating</TH>
		<TH>Book</TH>
  </TR>
  <xsl:for-each select='equipmentlist/vehiclelist/vehicle'>
  <TR class="center">
	 	<xsl:choose>
		<xsl:when test="accessories">
		<TD rowspan="3" class="left box"><xsl:value-of select="name"/></TD>
		</xsl:when>
		<xsl:otherwise>
		<TD rowspan="2" class="left box"><xsl:value-of select="name"/></TD>
		</xsl:otherwise>
		</xsl:choose>
		<TD class="box"><xsl:value-of select="handling"/></TD>
		<TD class="box"><xsl:value-of select="body-armor"/></TD>
		<TD class="box"><xsl:value-of select="speed-accel"/></TD>
		<TD class="box"><xsl:value-of select="sig-autonav"/></TD>
		<TD class="box"><xsl:value-of select="pilot-sensor"/></TD>
		<TD class="box"><xsl:value-of select="cargo-load"/></TD>
		<TD class="box"><xsl:value-of select="seating"/></TD>
		<TD class="box"><xsl:value-of select="book.page"/></TD>
  </TR>
	<TR>
		<TD colspan="8" class="box"><xsl:value-of select="notes"/></TD>
	</TR>
	<xsl:if test="accessories">
	<TR>
		<TD colspan="8">
		<TABLE>
		<TR>
			<TH>Accessories Name</TH>
			<TH>Mass</TH>
			<TH>Cost</TH>
			<TH>Avail</TH>
			<TH>SI</TH>
			<TH>Book</TH>
		</TR>
	  <xsl:for-each select='accessories'>
		<TR class="center">
			<TD class="box left"><xsl:value-of select="name"/></TD>
			<TD class="box"><xsl:value-of select="mass"/></TD>
			<TD class="box"><xsl:value-of select="cost"/></TD>
			<TD class="box"><xsl:value-of select="availability"/></TD>
			<TD class="box"><xsl:value-of select="streetindex"/></TD>
			<TD class="box"><xsl:value-of select="book.page"/></TD>
		</TR>
	  </xsl:for-each>
	  </TABLE>
	  </TD>
	</TR>
	</xsl:if>
  </xsl:for-each>
</TABLE>
</xsl:if>
<!-- Vehicles end -->


<!-- Deck start -->
<xsl:if test="decker/deckinfo and not(otakulivingpersona)">
<a class="common" href="javascript:void(0)" onClick="zalomit(this);">Page-break: NO</a>
<a class="common" href="javascript:void(0)" id="anchor12" onClick="schovat('12');">Hidden: NO (Deck)</a>
<TABLE class="table" frame="box" id="tab12">
  <TR>
   	<TH colspan="6">Deck - <xsl:value-of select="decker/deckinfo/deckname"/></TH>
  </TR>
  <TR>
	<TD class="box">Reaction</TD>
  	<TD class="box center"><xsl:value-of select="decker/deckinfo/reaction"/></TD>
	<TD class="box">MPCP</TD>
  	<TD class="box center"><xsl:value-of select="decker/deckinfo/mpcp"/></TD>
	<TD class="box">Hardening</TD>
  	<TD class="box center"><xsl:value-of select="decker/deckinfo/hardening"/></TD>
  </TR>
  <TR>
	<TD class="box">Initiative(D6)</TD>
  	<TD class="box center"><xsl:value-of select="decker/deckinfo/initiative"/></TD>
	<TD class="box">BOD Rating</TD>
  	<TD class="box center"><xsl:value-of select="decker/deckinfo/bod"/></TD>
	<TD class="box">Evasion Rating</TD>
  	<TD class="box center"><xsl:value-of select="decker/deckinfo/evasion"/></TD>
  </TR>
  <TR>
	<TD class="box">Hacking Pool</TD>
  	<TD class="box center"><xsl:value-of select="pools/hacking"/></TD>
	<TD class="box">Masking Rating</TD>
  	<TD class="box center"><xsl:value-of select="decker/deckinfo/masking"/></TD>
	<TD class="box">Sensor Rating</TD>
  	<TD class="box center"><xsl:value-of select="decker/deckinfo/sensor"/></TD>
  </TR>
  <TR>
	<TD class="box">Memory Active/Storage</TD>
  	<TD class="box center"><xsl:value-of select="decker/deckinfo/activememory"/>/<xsl:value-of select="decker/deckinfo/storagemem"/></TD>
	<TD class="box">I/O Speed</TD>
  	<TD class="box center"><xsl:value-of select="decker/deckinfo/iospeed"/></TD>
	<TD class="box">Response Increase</TD>
  	<TD class="box center"><xsl:value-of select="decker/deckinfo/responseincr"/></TD>
  </TR>
  <TR>
		<TH colspan="6">Accessories</TH>
  </TR>
  <TR>
		<TD colspan="6">
		<TABLE>
		  <TR>
		  	<TH>Name</TH>
		  	<TH>Cost</TH>
		  	<TH>Avail</TH>
		  	<TH>SI</TH>
		  	<TH>Legality</TH>
		  	<TH>Book</TH>
		  </TR>
		  <xsl:for-each select='decker/decklist/deck/accessories'>
		  <TR class="center">
		  	<TD class="box left"><xsl:value-of select="name"/></TD>
		  	<TD class="box"><xsl:value-of select="cost"/></TD>
		  	<TD class="box"><xsl:value-of select="availability"/></TD>
		  	<TD class="box"><xsl:value-of select="streetindex"/></TD>
		  	<TD class="box"><xsl:value-of select="legality"/></TD>
		  	<TD class="box"><xsl:value-of select="book.page"/></TD>
		  </TR>
		  </xsl:for-each>
		</TABLE>
		</TD>
  </TR>
  <TR>
  	<TH colspan="6">Software</TH>
  </TR>
  <TR>
		<TD colspan="6">
		<TABLE>
		  <TR>
		  	<TH>Name</TH>
		  	<TH>Cost</TH>
		  	<TH>Avail</TH>
		  	<TH>SI</TH>
		  	<TH>Multiplier</TH>
		  	<TH>Book</TH>
		  </TR>
		  <xsl:for-each select='decker/decklist/deck/software'>
		  <TR class="center">
		  	<TD class="box left"><xsl:value-of select="name"/></TD>
		  	<TD class="box"><xsl:value-of select="cost"/></TD>
		  	<TD class="box"><xsl:value-of select="availability"/></TD>
		  	<TD class="box"><xsl:value-of select="streetindex"/></TD>
		  	<TD class="box"><xsl:value-of select="multiplier"/></TD>
		  	<TD class="box"><xsl:value-of select="book.page"/></TD>
		  </TR>
		  </xsl:for-each>
		</TABLE>
		</TD>
  </TR>
</TABLE>
</xsl:if>
<!-- Deck end -->

<!-- Otaku living persona start -->
<xsl:if test="otakulivingpersona">
<a class="common" href="javascript:void(0)" onClick="zalomit(this);">Page-break: NO</a>
<a class="common" href="javascript:void(0)" id="anchor15" onClick="schovat('15');">Hidden: NO (Otaku living persona)</a>
<TABLE class="table" frame="box" id="tab15">
  <TR>
   	<TH colspan="6">Otaku living persona (path: <xsl:value-of select="otakulivingpersona/path"/>)</TH>
  </TR>
  <TR>
		<TD class="box">Reaction</TD>
	  <TD class="box center"><xsl:value-of select="otakulivingpersona/reaction"/></TD>
		<TD class="box">MPCP</TD>
	  <TD class="box center"><xsl:value-of select="otakulivingpersona/mpcp"/></TD>
		<TD class="box">Hardening</TD>
  	<TD class="box center"><xsl:value-of select="otakulivingpersona/hardening"/></TD>
  </TR>
  <TR>
		<TD class="box">Initiative(D6)</TD>
  	<TD class="box center"><xsl:value-of select="otakulivingpersona/initiative"/></TD>
		<TD class="box">BOD Rating</TD>
  	<TD class="box center"><xsl:value-of select="otakulivingpersona/bod"/></TD>
		<TD class="box">Evasion Rating</TD>
  	<TD class="box center"><xsl:value-of select="otakulivingpersona/evasion"/></TD>
  </TR>
  <TR>
	<TD class="box">I/O Speed</TD>
  	<TD class="box center"><xsl:value-of select="otakulivingpersona/iospeed"/></TD>
		<TD class="box">Masking Rating</TD>
  	<TD class="box center"><xsl:value-of select="otakulivingpersona/masking"/></TD>
		<TD class="box">Sensor Rating</TD>
  	<TD class="box center"><xsl:value-of select="otakulivingpersona/sensor"/></TD>
  </TR>
  <TR>
	<TD class="box">Hacking Pool</TD>
  	<TD class="box center"><xsl:value-of select="otakulivingpersona/hackingpool"/></TD>
		<TD class="box">Hacking Pool Mods</TD>
  	<TD class="box center"><xsl:value-of select="otakulivingpersona/hackingpoolmods"/></TD>
		<TD class="box">Channel Points</TD>
  	<TD class="box center"><xsl:value-of select="otakulivingpersona/channelpoints"/></TD>
  </TR>
  <TR>
  	<TH colspan="6">Accessories</TH>
  </TR>
  <TR>
		<TD colspan="6">
		<TABLE>
		  <TR>
		  	<TH>Name</TH>
		  	<TH>Cost</TH>
		  	<TH>Avail</TH>
		  	<TH>SI</TH>
		  	<TH>Multiplier</TH>
		  	<TH>Karmacost</TH>
		  	<TH>Notes</TH>
		  	<TH>Book</TH>
		  </TR>
		  <xsl:for-each select='otakulivingpersona/decklist/accessories'>
		  <TR class="center">
		  	<TD class="box left"><xsl:value-of select="name"/></TD>
		  	<TD class="box"><xsl:value-of select="cost"/></TD>
		  	<TD class="box"><xsl:value-of select="availability"/></TD>
		  	<TD class="box"><xsl:value-of select="streetindex"/></TD>
		  	<TD class="box"><xsl:value-of select="multiplier"/></TD>
		  	<TD class="box"><xsl:value-of select="karmacost"/></TD>
		  	<TD class="box"><xsl:value-of select="notes"/></TD>
		  	<TD class="box"><xsl:value-of select="book.page"/></TD>
		  </TR>
		  </xsl:for-each>
		</TABLE>
		</TD>
  </TR>
</TABLE>
</xsl:if>
<!-- Otaku living persona end -->

<!-- Contacts start -->
<xsl:if test="contactlist">
<a class="common" href="javascript:void(0)" onClick="zalomit(this);">Page-break: NO</a>
<a class="common" href="javascript:void(0)" id="anchor13" onClick="schovat('13');">Hidden: NO (Contacts)</a>
<TABLE class="table" frame="box" id="tab13">
  <TR>
   	<TH colspan="6">Contacts</TH>
  </TR>
  <TR>
   	<TH>Name</TH>
   	<TH>Location</TH>
    <TH>Archetype</TH>
    <TH>LTG</TH>
    <TH>Occupation</TH>
    <TH>Level</TH>
  </TR>
	<xsl:for-each select='contactlist/contact'>
	<TR class="center">
   	<TD class="box"><xsl:value-of select="name"/></TD>
   	<TD class="box"><xsl:value-of select="location"/></TD>
   	<TD class="box left"><xsl:value-of select="archetype"/></TD>
   	<TD class="box"><xsl:value-of select="ltg"/></TD>
   	<TD class="box"><xsl:value-of select="occupation"/></TD>
   	<TD class="box"><xsl:value-of select="level"/></TD>
  </TR>
  <xsl:if test="racedescription">
  <TR>
  	<TD class="box"></TD>
  	<TD class="box" colspan="5">
  		<B>Race description: </B>
  		<xsl:value-of select="racedescription"/>
		</TD>
  </TR>
  </xsl:if>
  <xsl:if test="historyrelationship">
  <TR>
  	<TD class="box"></TD>
  	<TD colspan="5" class="box">
  		<B>History relationship: </B>
  		<xsl:value-of select="historyrelationship"/>
		</TD>
  </TR>
  </xsl:if>
	</xsl:for-each>
</TABLE>
</xsl:if>
<!-- Contacts end -->

<!-- Biography start -->
<xsl:if test="biography">
<a class="common" href="javascript:void(0)" onClick="zalomit(this);">Page-break: NO</a>
<a class="common" href="javascript:void(0)" id="anchor14" onClick="schovat('14');">Hidden: NO (Biography)</a>
<TABLE class="table" frame="box" id="tab14">
  <TR>
   	<TH>Biography</TH>
  </TR>
  <TR>
   	<TD class="box"><xsl:value-of disable-output-escaping="yes" select="biography"/></TD>
  </TR>
</TABLE>
</xsl:if>
<!-- Biography end -->


</BODY>
</HTML>

</xsl:template>

</xsl:stylesheet>
